if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/share/icons/hicolor/24x24/apps ; rm -rf emelfm2.png )
( cd usr/share/icons/hicolor/24x24/apps ; ln -sf ../../../../pixmaps/emelfm2/emelfm2_24.png emelfm2.png )
( cd usr/share/icons/hicolor/32x32/apps ; rm -rf emelfm2.png )
( cd usr/share/icons/hicolor/32x32/apps ; ln -sf ../../../../pixmaps/emelfm2/emelfm2_32.png emelfm2.png )
( cd usr/share/icons/hicolor/48x48/apps ; rm -rf emelfm2.png )
( cd usr/share/icons/hicolor/48x48/apps ; ln -sf ../../../../pixmaps/emelfm2/emelfm2_48.png emelfm2.png )
